Subject: Re: FWD: Re: what is the voice packet size?

From: Binshi Cao <[email-masked]>
Date: Fri, 11 Sep 1998 10:35:04 -0400

Hi, ALL:

From the gneral practice of Speech Coding, the speech signal is divided into
blocks of samples and each block is called a frame. The compressed data of
speech signal should be sent on the frame bases.  The bit rate and frame length
of a speech codec, plus transmission header, decide the packet size. 

The longer frame length, the lower bit rate, but poorer synthesised speech
quality.  Generally speaking, 20 msec frame length is used for most of current
speech codec; e.g.: QCELP-13 and EVRC for CDMA, US-1 for TDMA, RELP for GSM. 
And 25 msec frame length is used for low rate speech codec, e.g. the bit rate
for the range of 1.2kbps to 2.4 kbps; And the example of 2.4 kbps speech codec
is the new DoD 2.4 kbps standard -- MELP.

In the Voice Over Internet (VOI) applications, G.711, G.723.1, G.729, etc, are
used. G.711, with 64 kbps bit rate, does not divide into frames itself; Some
venders use 10 mse and others use 20 msec as frame length and 25 msec may be too
long for G.711 used for VOI. G.723.1. with 5.3 or 6.3 kbps bit rate, uses 30
msec as frame length. G.729, with 8 kbps bit rate, uses 10 msec as frame length.

Bit rate and frame length of a speech codec , plus transmission header, decide
the packet size.  

Please comment.

Binshi Cao.       

Peter Peldán wrote:
> 
> This message is forwarded from the newsgroup "lists.iptel".
> 
> ----------- Begin Forwarded Message -----------
> 
> From: [email-masked]
> Subject: Re: what is the voice packet size?
> 
> Newsgroups: lists.iptel
> 
> If you use 25msecs of sound, you'll get 40 packets/sec.
> With a bitrate of X kbps, you'll have X/40 kbits/packet. I believe
> the total
> IP+UDP+RTP header is approx 40 bytes. This'll give us approx
> (1000 * X/40/8 + 40) Bytes/packet.
> 
> The lowest bitrates used for voice codecs are 1.2 kbps => 44 bytes/packet
> which basically is only the header.
> 
> Average bitrate is perhaps approx 6 kbps => 60 bytes/packet
> 
> G.711 bitrate 64kbps => 240 bytes/packet
> 
> Notice that the above examples give a total "bandwidth" of:
> 14 kbps, 19kbps and 77kbps
> 
> Hope I got it approximately right.
> 
> Peter
> 
> ------------------------------------------------------------
> ---------
> This message came from the IETF IPTEL Working Group Mailing List.

---

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 11 Sep 1998 11:11:46 -0400

> Bit rate and frame length of a speech codec , plus transmission header, decide

Its not just the frame length. One can fit any number of frames in a
packet. So, for G.723.1, the packetization delay can be 30, 60, 90ms,
etc. Thus, the frame size defines the minimum packetization delay, and
the granularity in general of the packetization delay.

-Jonathan R.

-- 
Jonathan D. Rosenberg                       Lucent Technologies
Member of Technical Staff                   101 Crawfords Corner Rd.
High Speed Networks Research                Holmdel, NJ 07733
FAX:   (732) 834-5379                       Rm. 4C-526
EMAIL: [email-masked]
URL: http://www.cs.columbia.edu/~jdrosen
---------
This message came from the IETF IPTEL Working Group Mailing List.

---

From: Binshi Cao <[email-masked]>
Date: Fri, 11 Sep 1998 11:51:34 -0400

Jonathan Rosenberg:

Thanks for your comments.

> packet. So, for G.723.1, the packetization delay can be 30, 60, 90ms,

Yes, you can have 30, 60, 90 ms delay (G.723.1) for the packetization.

But if the total dalay, including codec algorithm delay, processing daly,
transmission delay, is more than 60 - 100 ms, depending on the application,
people may perceive the delay and may not happy.  And furthermore, delay also
introduces the echo wich is annoying as well. Someone may say that echo
canceller may be applied in the system. But please think about what MIPs you may
provide in DSP for the echo canceller with delay of 60 ms more.

Thus, if the commercial products are designed, it is better that the packets
should be sent out according to frame length. 

Binshi Cao.

---

From: "Henry Sinnreich" <[email-masked]>
Date: Fri, 18 Sep 1998 12:23:11 -0500

>Please comment.

Lots of delay is added by the headers. Also one wonders why use such fancy
voice compression without header compression ?

Add 40 bytes RTP/UPD/IP to the payload, plus the L2 headers, such as
Ethernet or ATM and these wonderful low bit rates are annihilated, unless
header compression is used.

There has been a recent flow of proposals at the IETF how to this, for
example to reduce the 40 bytes OH to 2-4 bytes. This depends also on the L2.
Header compression and Multiclass PPP for example seems mandatory for slow
links such as dial-up and BR ISDN....

Henry

Henry Sinnreich
MCI Worldcom
400 International Parkway
2A313
Richardson, Texas 75082
Phone:  (972)729-4271, VNET: 772-4271
for short messages/paging to PIN 1632988 use
1-888-MCI-2WAY, or
http://www.mci.com/connections/interact/sendpage/sendpage.shtml

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Binshi Cao
> Sent: Friday, September 11, 1998 9:35 AM
> To: [email-masked]
> Subject: Re: FWD: Re: what is the voice packet size?
>
>
> Hi, ALL:
>

---------